libcamera v0.2.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libcamera::V4L2Subdevice::Routing Class Reference

V4L2 subdevice routing table. More...

Inheritance diagram for libcamera::V4L2Subdevice::Routing:
[legend]
Collaboration diagram for libcamera::V4L2Subdevice::Routing:
[legend]

## Public Member Functions
std::string | toString () const
| Assemble and return a string describing the routing table.

## Detailed Description

V4L2 subdevice routing table.

This class stores a subdevice routing table as a vector of routes.

## Member Function Documentation

## ◆ toString()

std::string libcamera::V4L2Subdevice::Routing::toString | ( |  | ) | const

Assemble and return a string describing the routing table.

Returns
  A string describing the routing table

The documentation for this class was generated from the following files:

- include/libcamera/internal/v4l2_subdevice.h
- src/libcamera/v4l2_subdevice.cpp